%define homepage file:///usr/share/doc/HTML/index.html
%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define min_nspr_version 4.8
%define min_nss_version 3.12.6

%define version_internal        3.6
%define mozappdir               %{_libdir}/%{name}-%{version_internal}

%define official_branding       1
%define build_langpacks         1

# Separated plugins is not supported for now
%ifarch i386 x86_64
%define separated_plugins 1
%else
%define separated_plugins 0
%endif


ExcludeArch: ppc64

Summary:        Mozilla Firefox Web browser.
Name:           firefox
Version:        3.6.4
Release:        8.0.1%{?dist}
Epoch:          0
URL:            http://www.mozilla.org/projects/firefox/
License:        MPL/LGPL
Group:          Applications/Internet
%if %{official_branding}
%define tarball firefox-%{version}.source.tar.bz2
%else
%define tarball firefox-3.0b5-source.tar.bz2
%endif
Source0:        %{tarball}
Source2:        firefox-langpacks-%{version}-20100601.tar.bz2
Source10:       firefox-mozconfig
Source11:       firefox-mozconfig-branded
Source12:       firefox-asianux-default-bookmarks.html
Source13:       firefox-asianux-default-prefs.js
Source20:       firefox.desktop
Source21:       firefox.sh.in
Source22:       firefox.png
Source23:       firefox.xpm
Source24:       firefox.1
Source100:      find-external-requires

# build patches
Patch0:        firefox-version.patch
Patch2:        firefox-linker.patch
Patch3:        firefox-build.patch
Patch4:        camellia256.patch
Patch5:        firefox-nspr-build.patch
Patch7:        firefox-xpcshell.patch
Patch9:        mozilla-python.patch
Patch10:       mozilla-cairo.patch
Patch11:       mozilla-jemalloc.patch
Patch12:       mozilla-jemalloc-526152.patch
Patch13:       xulrunner-1.9.2.1-build.patch
Patch14:       mozilla-build-s390.patch
Patch15:       nspr-build.patch
Patch20:       xulrunner-ipc-stl.patch
Patch21:       xulrunner-build-ipc-queue.patch
Patch22:       xulrunner-build-ipc-visibility.patch
Patch23:       xulrunner-build-ipc-python.patch

# RPM specific patches
Patch40:        firefox-3.6.4-disable-checkupdates-menuitem.patch

# Upstream patches
Patch50:       mozilla-490425-1.9.2.patch
Patch51:       mozilla-524737.patch

#Asianux patches
Patch100:      firefox-asianux-disable_set_desktop_background.patch	

%if %{official_branding}
# Required by Mozilla Corporation 

%else
# Not yet approved by Mozillla Corporation 

%endif

# ---------------------------------------------------

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpng-devel, libjpeg-devel
BuildRequires:  zlib-devel, zip
BuildRequires:  libIDL-devel
BuildRequires:  evolution28-gtk2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  krb5-devel
BuildRequires:  evolution28-pango-devel
BuildRequires:  evolution28-cairo-devel
BuildRequires:  freetype-devel >= 2.1.9
BuildRequires:  xorg-x11-devel
BuildRequires:  nspr-devel >= %{min_nspr_version}
BuildRequires:  nss-devel >= %{min_nss_version}

Requires:       evolution28-cairo, evolution28-pango, evolution28-gtk2
Requires:       nspr >= %{min_nspr_version}
Requires:       nss >= %{min_nss_version}
Obsoletes:      phoenix, mozilla-firebird, MozillaFirebird
Provides:       mozilla-firebird = %{version}, MozillaFirebird = %{version}
Provides:       webclient

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

#---------------------------------------------------------------------

%prep
%setup -q -c
cd mozilla-1.9.2

%define _default_patch_fuzz 2

sed -e 's/__RPM_VERSION_INTERNAL__/%{version_internal}/' %{P:%%PATCH0} \
    > version.patch
%{__patch} -p1 -b --suffix .version --fuzz=0 < version.patch

%patch2  -p2 -b .link
%patch3  -p1
%patch4  -p1 -b .nocam
%patch5  -p1 -b .nspr
%patch7  -p1 -b .xpcshell
%patch9  -p1 -b .python
%patch10 -p1 -b .cairo
#%patch11 -p1 -b .jemalloc
%patch12 -p1 -b .jemalloc-526152
%patch13 -p2 -b .build
%ifarch s390
%patch14 -p1 -b .s390
%endif
%patch15 -p1 -b nspr-build
%patch20  -p1 -b .stl
%patch21  -p2 -b .queue
%patch22  -p2 -b .vis
%patch23  -p2 -b .ipc-python
%patch40  -p1 -b .disable-checkupdates-menuitem

# Upstream patches
%patch50  -p1 -b .490425
%patch51  -p1 -b .524737

#Asianux patches
%patch100 -p1

%if %{official_branding}
# Required by Mozilla Corporation 

%else
# Not yet approved by Mozilla Corporation 

%endif


%{__rm} -f .mozconfig
%{__cp} %{SOURCE10} .mozconfig
%if %{official_branding}
%{__cat} %{SOURCE11} >> .mozconfig
%endif

# s390(x) fails to start with jemalloc enabled
%ifarch s390 s390x
echo "ac_add_options --disable-jemalloc" >> .mozconfig
%endif

%if !%{?separated_plugins}
echo "ac_add_options --disable-ipc" >> .mozconfig
%endif

#---------------------------------------------------------------------

%build
cd mozilla-1.9.2

# don't override mozilla's warning
# level; they use -Wall but disable a few warnings that show up _everywhere_
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-Wall//')

export PKG_CONFIG_PATH="/usr/evolution28/%{_lib}/pkgconfig"

export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

%ifarch ppc ppc64 s390 s390x
%define moz_make_flags -j1
%else
%define moz_make_flags -j2
%endif

INTERNAL_GECKO=%{version_internal}
MOZ_APP_DIR=%{_libdir}/%{name}-${INTERNAL_GECKO}

export LDFLAGS="-Wl,-rpath,$MOZ_APP_DIR"
export MAKE="gmake %{moz_make_flags}"
make -f client.mk build STRIP="/bin/true"

#---------------------------------------------------------------------

%install
%{__rm} -rf $RPM_BUILD_ROOT
cd mozilla-1.9.2

INTERNAL_GECKO=%{version_internal}
MOZ_APP_DIR=%{_libdir}/%{name}-${INTERNAL_GECKO}

DESTDIR=$RPM_BUILD_ROOT make install

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications,%{_datadir}/icons/hicolor/48x48/apps},

%{__install} -p -D -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

# set up the firefox start script
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/firefox
%{__cat} %{SOURCE21} | %{__sed} -e 's,FIREFOX_VERSION,%{version_internal},g' > \
  $RPM_BUILD_ROOT%{_bindir}/firefox
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/firefox
  
# set up our default preferences
%{__cat} %{SOURCE13} | %{__sed} -e 's,FIREFOX_RPM_VR,%{version_internal}-%{release},g' > ax-default-prefs

# resolves bug #454283
%{__cat} > $RPM_BUILD_ROOT/%{mozappdir}/browserconfig.properties << EOF
browser.startup.homepage=%{homepage}
EOF

# place the preferences
%{__mkdir} -p $RPM_BUILD_ROOT/%{mozappdir}/defaults/preferences
%{__cp} ax-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/defaults/preferences/all-asianux.js
%{__rm} ax-default-prefs

# place the preferences for Bug #455727
%{__cat} > $RPM_BUILD_ROOT/%{mozappdir}/defaults/preferences/firefox-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
%{__chmod} 644 $RPM_BUILD_ROOT/%{mozappdir}/defaults/preferences/firefox-l10n.js

# set up our default bookmarks
%{__install} -p -D -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{mozappdir}/defaults/profile/bookmarks.html

%{__install} -p -D -m 644 %{SOURCE24} $RPM_BUILD_ROOT%{_mandir}/man1/firefox.1

%{__rm} -f $RPM_BUILD_ROOT/%{mozappdir}/firefox-config
                      
# Install langpacks
%if %{build_langpacks}
%{__mkdir_p} $RPM_BUILD_ROOT/%{mozappdir}/extensions
%{__tar} xjf %{SOURCE2}
for langpack in `ls firefox-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=$RPM_BUILD_ROOT/%{mozappdir}/extensions/langpack-$language@firefox.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  tmpdir=`mktemp -d %{name}.XXXXXXXX`
  langtmp=$tmpdir/%{name}/langpack-$language
  %{__mkdir_p} $langtmp
  jarfile=$extensiondir/chrome/$language.jar
  unzip $jarfile -d $langtmp

  sed -i -e "s|browser.startup.homepage.*$|browser.startup.homepage=%{homepage}|g;" \
         $langtmp/locale/browser-region/region.properties

  find $langtmp -type f | xargs chmod 644
  %{__rm} -rf $jarfile
  cd $langtmp
  zip -r -D $jarfile locale
  cd -
  %{__rm} -rf $tmpdir
done
%{__rm} -rf firefox-langpacks
%endif # build_langpacks

# System extensions
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/%{firefox_app_id}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}

# Copy over the LICENSE
install -c -m 644 LICENSE $RPM_BUILD_ROOT/%{mozappdir}

# ghost files
touch $RPM_BUILD_ROOT/%{mozappdir}/components/compreg.dat
touch $RPM_BUILD_ROOT/%{mozappdir}/components/xpti.dat

%{__rm} -rf $RPM_BUILD_ROOT/%{mozappdir}/libfreebl3.chk
%{__rm} -rf $RPM_BUILD_ROOT/%{mozappdir}/libsoftokn3.chk
                                                                        
#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post

%postun

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{mozappdir}/components
  %{__rm} -rf %{mozappdir}/extensions
  %{__rm} -rf %{mozappdir}/plugins
fi

%files
%defattr(-,root,root,-)
%{_bindir}/firefox
%{_mandir}/man1/*
%dir %{_datadir}/mozilla
%dir %{_datadir}/mozilla/extensions
%dir %{_datadir}/mozilla/extensions/%{firefox_app_id}
%dir %{_libdir}/mozilla/extensions
%dir %{_libdir}/mozilla/extensions/%{firefox_app_id}
%{_datadir}/icons/hicolor/48x48/apps/firefox.png
%dir %{mozappdir}
%doc %{mozappdir}/LICENSE
%doc %{mozappdir}/README.txt
%{mozappdir}/*.properties
%{mozappdir}/chrome
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%attr(644, root, root) %{mozappdir}/components/*.js
%attr(644, root, root) %{mozappdir}/blocklist.xml
%{mozappdir}/defaults
%{mozappdir}/extensions
%{mozappdir}/icons
%{mozappdir}/searchplugins
%{mozappdir}/firefox
%{mozappdir}/firefox-bin
%{mozappdir}/run-mozilla.sh
%{mozappdir}/application.ini
%{mozappdir}/platform.ini
%{mozappdir}/removed-files
%{mozappdir}/mozilla-xremote-client
%{mozappdir}/xpcshell
%{mozappdir}/*.so
%dir %{mozappdir}/res
%{mozappdir}/res/*
%dir %{mozappdir}/modules
%{mozappdir}/modules/*
%dir %{mozappdir}/greprefs
%{mozappdir}/greprefs/*
%dir %{mozappdir}/dictionaries
%{mozappdir}/dictionaries/*
%dir %{mozappdir}/plugins
%{mozappdir}/plugins/*
%{mozappdir}/.autoreg
# XXX See if these are needed still
%{mozappdir}/updater*
  
%exclude %{_datadir}/idl/%{name}*%{version_internal}
%exclude %{_includedir}/%{name}*%{version_internal}
%exclude %{_libdir}/%{name}-devel-*
%exclude %{_libdir}/%{name}-*/sdk
%exclude %{mozappdir}/components/components.list
%exclude %{mozappdir}/update.locale

%if %{?separated_plugins}
%{mozappdir}/plugin-container
%endif


#---------------------------------------------------------------------

%changelog
* Wed Jul 23 2010 Shu Li <shu.li@asianux.com> - 3.6.4-8.0.1%{?dist}
- modify default bookmark for Asianux
- remove desktop_file_utils from requirement list
- always disable Set Desktop Background (patch100)
- fix the bug that Firefox's menus aren't localized. (Source13, AXBug#2055)
- fix a problem connecting with mozilla's update page at the first time (Source13, AXBug#2090)

* Mon Jun 14 2010 Jan Horak <jhorak@redhat.com> - 3.6.4-8.el4
- Update to 3.6.4 build 7
- Disable checking for updates since they can't be applied

* Tue Jun 1 2010 Martin Stransky <stransky@redhat.com> - 3.6.4-7.el4
- Update to 3.6.4 build 6

* Mon May 24 2010 Martin Stransky <stransky@redhat.com> - 3.6.4-6.el4
- Update to 3.6.4 build 5

* Mon May 17 2010 Martin Stransky <stransky@redhat.com> - 3.6.4-5.el4
- Update to 3.6.4 build 4

* Thu May  6 2010 Jan Horak <jhorak@redhat.com> - 3.6.4-3.el4
- Update to 3.6.4 build 3

* Thu Apr 22 2010 Martin Stransky <stransky@redhat.com> - 3.6.4-2.el4
- Update to 3.6.4 build 2

* Thu Apr 22 2010 Martin Stransky <stransky@redhat.com> - 3.6.4-1.el4
- Update to 3.6.4

* Mon Apr 19 2010 Martin Stransky <stransky@redhat.com> - 3.6.3-2.el4
- s390(x) build fix

* Mon Apr  5 2010 Martin Stransky <stransky@redhat.com> - 3.6.3-1.el4
- Rebase to 3.6.3

* Thu Feb  4 2010 Jan Horak <jhorak@redhat.com> - 3.0.18-1.el4
- Update to 3.0.18

* Thu Dec  3 2009 Jan Horak <jhorak@redhat.com> - 3.0.16-4.el4
- Rebuild due to Mozilla's respin

* Tue Dec  1 2009 Jan Horak <jhorak@redhat.com> - 3.0.16-3.el4
- Update to 3.0.16

* Mon Oct 19 2009 Jan Horak <jhorak@redhat.com> - 3.0.15-3.el4
- Rebuild due to Mozilla's respin

* Fri Oct  9 2009 Jan Horak <jhorak@redhat.com> - 3.0.15-2.el4
- Added remedy patch

* Wed Oct  7 2009 Jan Horak <jhorak@redhat.com> - 3.0.15-1.el4
- Update to 3.0.15

* Tue Aug 25 2009 Jan Horak <jhorak@redhat.com> - 3.0.14-1.el4
- Update to 3.0.14

* Fri Jul 31 2009 Jan Horak <jhorak@redhat.com> - 3.0.13-1.el4
- Update to 3.0.13

* Thu Jul  9 2009 Jan Horak <jhorak@redhat.com> - 3.0.12-1.el4
- Update to 3.0.12

* Thu Jun  4 2009 Jan Horak <jhorak@redhat.com> - 3.0.11-4.el4
- Added patch to fix #488570

* Wed Jun  3 2009 Jan Horak <jhorak@redhat.com> - 3.0.11-3.el4
- Update due to respin

* Thu May 21 2009 Jan Horak <jhorak@redhat.com> - 3.0.11-1.el4
- Update to 3.0.11

* Thu Apr 23 2009 Christopher Aillon <caillon@redhat.com> - 3.0.10-1.el4
- Update to 3.0.10

* Fri Apr 10 2009 Jan Horak <jhorak@redhat.com> - 3.0.9-1.el4
- Update to Firefox 3.0.9

* Thu Mar 26 2009 Martin Stransky <stransky@redhat.com> - 3.0.7-3.el4
- Updated per 1.9.0.8

* Fri Feb 20 2009 Jan Horak <jhorak@redhat.com> - 3.0.7-1.el4
- Update to Firefox 3.0.7

* Thu Jan 29 2009 Jan Horak <jhorak@redhat.com> - 3.0.6-2.el4
- Fixed #483003 (Unowned directories)

* Wed Jan 21 2009 Jan Horak <jhorak@redhat.com> - 3.0.6-1.el4
- Update to Firefox 3.0.6

* Tue Dec 9 2008 Martin Stransky <stransky@redhat.com> - 3.0.5-1.el4
- Update to Firefox 3.0.5

* Wed Nov 5 2008 Martin Stransky <stransky@redhat.com> - 3.0.4-1.el4
- Update to Firefox 3.0.4
- Removed firefox-2.0-getstartpage.patch (#454283)

* Wed Oct 1 2008 Martin Stransky <stransky@redhat.com> - 3.0.2-4.el4
- Packaged xpcshell (needed for mochitest)

* Thu Sep 18 2008 Martin Stransky <stransky@redhat.com> - 3.0.2-3.el4
- Update to Firefox 3.0.2 build 6
- Added path patch

* Wed Sep 3 2008 Martin Stransky <stransky@redhat.com> - 3.0.2-2.el4
- Update to Firefox 3.0.2 build 4

* Fri Aug 29 2008 Martin Stransky <stransky@redhat.com> - 3.0.2-1.el4
- Update to Firefox 3.0.2

* Mon Jul 21 2008 Martin Stransky <stransky@redhat.com> - 3.0.1-3.el4
- Fixed #456099 - plugin directory
- Fixed #456184 - starting script
- Fixed #455727 - HTML/index.html always redirects to en-US/index.html

* Mon Jul 14 2008 Martin Stransky <stransky@redhat.com> - 3.0.1-2.el4
- Fixed manual page

* Thu Jul 10 2008 Martin Stransky <stransky@redhat.com> - 3.0.1-1.el4
- Update to Firefox 3.0.1

* Tue Jun 24 2008 Martin Stransky <stransky@redhat.com> - 3.0-1.el4
- Update to Firefox 3 Final

* Fri May 30 2008 Martin Stransky <stransky@redhat.com> - 3.0-0.beta5.5.el4
- added fix for #447546 - broken autoConfig

* Thu May 29 2008 Martin Stransky <stransky@redhat.com> - 3.0-0.beta5.4.el4
- added fix for #447451 - firefox-3 fails to print when X server depth is 16 bits
- added fix for #444629 - firefox 3 default handler for webcal is not evolution
- updated firefox cairo to 1.6.4
- enabled anti-pishing protection

* Tue Apr 15 2008 Kai Engert <kengert@redhat.com> - 3.0-0.beta5.3.el4
- Fix BuildRequires for nspr-devel and nss-devel

* Tue Apr 15 2008 Martin Stransky <stransky@redhat.com> - 3.0-0.beta5.2.el4
- use system NSPR and NSS
- fixed langpacks
- enabled official branding

* Fri Apr 04 2008 Martin Stransky <stransky@redhat.com> - 3.0-0.beta5.1.el4
- Rebase to Beta 5.

* Tue Apr 01 2008 Martin Stransky <stransky@redhat.com> - 3.0-0.beta4.1.el4
- Rebase to 3.0b4

* Mon Mar 24 2008 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-0.14.el4
- Fix assertions from script

* Mon Mar 24 2008 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-0.13.el4
- Update to latest snapshot of Mozilla 1.8.0 branch
- Add patches for backported fixes from 1.8.1.13

* Mon Mar 17 2008 Kai Engert <kengert@redhat.com> 1.5.0.12-0.12.el4
- Added workaround for #238893

* Mon Feb 04 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.11.el4
- Updated patch for mozbz#413250

* Thu Jan 31 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.10.el4
- Update to latest snapshot of Mozilla 1.8.0 branch
- Added a patch with backported fixes from 1.8.1.12

* Thu Nov 22 2007 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-0.8.el4
- Add patches for mozilla bugs:
  369814,373911,391028,393326,402649,403331

* Thu Oct 18 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.7.el4
- Update to latest snapshot of Mozilla 1.8.0 branch

* Wed Oct 17 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.6.el4
- added pathes for Mozilla bugs 325761 and 392149

* Wed Oct 17 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.5.el4
- added pathes for Mozilla bugs 199088,267833,309322,345305,361745,
  362901,372309,378787,381300,384105,386914,387033,387881,388121,388784
  390078,393537,395942

* Tue Aug 28 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.4.el4
- Updated pango patches, added indic printing support (#129207)

* Wed Jul 18 2007 Kai Engert <kengert@redhat.com> - 1.5.0.12-0.3.el4
- Add a patch to stick with major versions 1.5.0.12 / 1.8.0.12

* Tue Jul 17 2007 Kai Engert <kengert@redhat.com> - 1.5.0.12-0.2.el4
- Update to latest snapshot of Mozilla 1.8.0 branch
- Include patches for Mozilla bugs 379245, 384925, 178993,
  381300 (+382686), 358594 (+380933), 382532 (+382503)

* Thu May 29 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.1.el4
- Update to 1.5.0.12

* Mon Feb 19 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.10-0.1.el4
- Update to 1.5.0.10 (RC)

* Fri Jan 19 2007 Christopher Aillon <caillon@redhat.com> - 1.5.0.9-0.2.el4
- Fix langpack support to start in the user's locale where possible

* Wed Dec 13 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.9-0.1.el4
- Update to 1.5.0.9 (RC)
- Update the pango patches to support mathml and various other fixes.
- Let Firefox handle gcc warnings; it weeds out frequent offenders.

* Sun Nov  5 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.8-0.1.el4
- Update to 1.5.0.8 (RC)

* Mon Sep 11 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.7-0.1.el4
- Update to 1.5.0.7

* Wed Jul 26 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.5-0.el4.1
- Update to 1.5.0.5

* Fri May 26 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.3-0.2.EL4
- Rebuild to fix an issue with the wrapper script sometimes not launching
  a browser

* Mon May  8 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.3-0.1.EL4
- Build this on RHEL4

* Thu May  4 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.3-1
- Firefox 1.5.0.3

* Wed Apr 19 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.2-4
- Really drop the broken langpacks this time.

* Tue Apr 18 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.2-3
- Drop some broken langpacks

* Thu Apr 13 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.2-2
- Firefox 1.5.0.2

* Sat Mar 11 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-9
- Add a notice to the about dialog denoting this is a pango enabled build.
- Tweak the user agent denoting this is a pango enabled build.

* Mon Mar  6 2006 Warren Togami <wtogami@redhat.com> - 1.5.0.1-7
- make links point to the correct release

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 1.5.0.1-6
- Add new bookmarks file from Warren (bug 182386)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de>
- add buildrequires libXt-devel for X11/Intrinsic.h, X11/Shell.h

* Mon Feb 20 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-5
- Rebuild

* Mon Feb 20 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-4
- Ensure our wrapper handles URLs with commas/spaces (Ilya Konstantinov)
- Fix a pango typo

* Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-3
- Improve the langpack install stuff
- Fix up dumpstack.patch to match the finalized change

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> - 1.5.0.1-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-2
- Update language packs to 1.5.0.1
- Add dumpstack.patch

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-1
- Update to 1.5.0.1

* Thu Jan 26 2006 Christopher Aillon <caillon@redhat.com> - 1.5-5
- Ship langpacks again from upstream
- Stop providing MozillaFirebird and mozilla-firebird

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.5-4
- Looks like we can build ppc64 again.  Happy New Year!

* Fri Dec 16 2005 Christopher Aillon <caillon@redhat.com> - 1.5-3
- Once again, disable ppc64 because of a new issue.
  See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175944

* Thu Dec 15 2005 Christopher Aillon <caillon@redhat.com> - 1.5-2
- Use the system NSS libraries
- Build on ppc64

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Christopher Aillon <caillon@redhat.com> - 1.5-1
- Update to Firefox 1.5

* Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.1.rc3
- Fix issue with popup dialogs and other actions causing lockups

* Fri Nov 18 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.rc3
- Update to 1.5 rc3

* Thu Nov  3 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.rc1
- Update to 1.5 rc1
- Clean up the default bookmarks

* Sat Oct  8 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.beta2
- Update to 1.5 beta 2

* Wed Sep 14 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.beta1
- Update to 1.5 beta 1.
- Add patch to svg rendering to adjust for cairo behavior.
- Happy birthday, dad!

* Sat Aug 27 2005 Christopher Aillon <caillon@redhat.com> - 1.1-0.2.8.deerpark.alpha2
- Re-enable SVG, canvas, and system cairo.
- Fix issue with typing in proxy preference panel

* Thu Aug 18 2005 Jeremy Katz <katzj@redhat.com> - 1.1-0.2.7.deerpark.alpha2.1
- another fix to not use pango_xft

* Mon Aug 15 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.6.deerpark.alpha2
- Rebuild

* Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.5.deerpark.alpha2
- Re-enable ppc now that its binutils are fixed.
- Disable SVG and canvas again.  The in-tree copy does not build against new pango.
- When clicking a link and going back via history, don't keep the link focused.

* Fri Jul 22 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.4.deerpark.alpha2
- Add patch from Christian Persch to make the file chooser modal
- Change default behavior of opening links from external apps to: New Tab
- New build options:
  --enable-svg
  --enable-canvas

* Wed Jul 20 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.3.deerpark.alpha2
- Update firefox-1.1-uriloader.patch to fix crashes when calling into gnome-vfs2

* Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.2.deerpark.alpha2
- Do away with firefox-rebuild-databases.pl

* Mon Jul 18 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.1.deerpark.alpha2
- Rebuild

* Mon Jul 18 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.0.1.deerpark.alpha2
- Update to Deer Park Alpha 2
  - STILL TODO:
    - This build is not localized yet.
    - Theme issues not yet resolved.
    - Building on ppc platforms is busted, disable them for now.
    - Forward port all remaining patches.

* Sun Jul 17 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.4-6
- Avoid a crash on 64bit platforms
- Use system NSPR

* Thu Jun 23 2005 Kristian Høgsberg <krh@redhat.com>  0:1.0.4-5
- Add firefox-1.0-pango-cairo.patch to get rid of the last few Xft
  references, fixing the "no fonts" problem.
- Copy over changes from FC4 branch.

* Tue May 24 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.4-4
- Only install searchplugins for en-US, since there isn't any way
  to dynamically select searchplugins per locale yet.

* Mon May 23 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.4-3
- Add support for locales:
    af-ZA, ast-ES, ca-AD, cs-CZ, cy-GB, da-DK, de-DE, el-GR,
    en-GB  es-AR, es-ES, eu-ES, fi-FI, fr-FR, ga-IE, he-IL,
    hu-HU, it-IT, ko-KR, ja-JP, ja-JPM, mk-MK, nb-NO, nl-NL,
    pa-IN, pl-PL, pt-BR, pt-PT, ro-RO, ru-RU, sk-SK, sl-SI,
    sq-AL, sv-SE, tr-TR, zh-CN, zh-TW

* Wed May 11 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.4-2
- Update to 1.0.4

* Mon May  9 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.3-5
- Correctly position the IM candidate window for most locales
  Note: it is still incorrectly positioned for zh_TW after this fix
- Add temporary workaround to not create files in the user's $HOME (#149664)

* Tue May  3 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.3-4
- Rebuild

* Tue May  3 2005 Christopher Aillon <caillon@redhat.com>
- Patch from Marcel Mol supporting launching with filenames
  containing whitespace.

* Tue May  3 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.3-3
- Firefox script fixes to support multilib installs.
- Add upstream patch to fix bidi justification of pango
- Add patch to fix launching of helper applications

* Wed Apr 27 2005 Warren Togami <wtogami@redhat.com>
- remove JVM version probing (#116445)
- correct confusing PANGO vars in startup script

* Fri Apr 15 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.3-2
- Add patch to properly link against libgfxshared_s.a

* Fri Apr 15 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.3-1
- Update to security release 1.0.3

* Tue Apr 12 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.2-4
- Update useragent patch to match upstream.
- Add nspr-config 64 bit patch from rstrode@redhat.com

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.2-3
- Updated firefox icon (https://bugzilla.mozilla.org/show_bug.cgi?id=261679)
- Fix for some more cursor issues in textareas (149991, 150002, 152089)

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.2-2
- Make the "browser.link.open_external" pref work (David Fraser)

* Wed Mar 23 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.2-1
- Firefox 1.0.2

* Tue Mar 22 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.1-6
- Add patch to fix italic rendering errors with certain fonts (e.g. Tahoma)
- Re-enable jsd since there is now a venkman version that works with Firefox.

* Tue Mar  8 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.1-5
- Add patch to compile against new fortified glibc macros

* Fri Mar  4 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.1-4
- Build against gcc4, add build patches to do so.

* Thu Mar  3 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.1-3
- Remerge firefox-1.0-pango-selection.patch
- Add execshield patches for ia64 and ppc
- BuildRequires libgnome-devel, libgnomeui-devel

* Sun Feb 27 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.1-2
- Add upstream fix to reduce round trips to xserver during remote control
- Add upstream fix to call g_set_application_name

* Thu Feb 24 2005 Christopher Aillon <caillon@redhat.com> 0:1.0.1-1
- Update to 1.0.1 fixing several security flaws.
- Temporarily disable langpacks to workaround startup issues (#145806)
- Request the correct system colors from gtk (#143423)

* Tue Dec 28 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-8
- Add upstream langpacks

* Sat Dec 25 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-7
- Make sure we get a URL passed in to firefox (#138861)
- Mark some generated files as ghost (#136015)

* Wed Dec 15 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-6
- Don't have downloads "disappear" when downloading to desktop (#139015)
- Add RPM version to the useragent
- BuildRequires pango-devel

* Sat Dec 11 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-5
- Fix spacing in textareas when using pango for rendering
- Enable pango rendering by default.
- Enable smooth scrolling by default

* Fri Dec  3 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-4
- Add StartupWMClass patch from Damian Christey (#135830)
- Use system colors by default (#137810)
- Re-add s390(x)

* Sat Nov 20 2004 Christopher Blizzard <blizzard@redhat.com> 0:1.0-3
- Add patch that uses pango for selection.

* Fri Nov 12 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-2
- Fix livemarks icon issue. (#138989)

* Tue Nov  8 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-1
- Firefox 1.0

* Thu Nov  4 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.3
- Add support for GNOME stock icons. (bmo #233461)

* Sat Oct 30 2004 Warren Togami <wtogami@redhat.com> 0:0.99-1.0RC1.2
- #136330 BR freetype-devel with conditions
- #135050 firefox should own mozilla plugin dir

* Sat Oct 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.1
- Update to firefox-rc1
- Add patch for s390(x)

* Tue Oct 26 2004 Christopher Aillon <caillon@redhat.com>
- Fix LD_LIBRARY_PATH at startup (Steve Knodle)

* Fri Oct 22 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.21
- Prevent inlining of stack direction detection (#135255)

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.20
- More file chooser fixes:
    Pop up a confirmation dialog before overwriting files (#134648)
    Allow saving as complete once again
- Fix for upstream 263263.

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.18
- Fix for upstream 262689.

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com 0:0.10.1-1.0PR1.16
- Update pango patch to one that defaults to off

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.15
- Fix problem where default apps aren't showing up in the download
  dialog (#136261)
- Fix default height being larger than the available area, cherry picked
  from upstream

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.13
- Actually turn on pango in the mozconfig

* Sat Oct 16 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.12
- Disable the default application checks. (#133713)
- Disable the software update feature. (#136017)

* Wed Oct 13 2004 Christopher Blizzard <blizzard@redhat.com>
- Use pango for rendering

* Tue Oct 12 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.10
- Fix for 64 bit crash at startup (b.m.o #256603)

* Fri Oct  8 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.9
- Fix compile issues (#134914)
- Add patch to fix button focus issues (#133507)
- Add patches to fix tab focus stealing issue (b.m.o #124750)

* Fri Oct  1 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.8
- Update to 0.10.1
- Fix tab switching keybindings (#133504)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 0:0.10.0-1.0PR1.7
- filter out library Provides: and internal Requires:

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.6
- Prereq desktop-file-utils >= 0.9

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.5
- Add clipboard access prevention patch.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.4
- Add the xul mime type to the .desktop file

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.3
- Backport the GTK+ file chooser.
- Update desktop database after uninstall.

* Mon Sep 27 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.2
- Change the vendor to mozilla not fedora
- Build with --disable-strip so debuginfo packages work (#133738)
- Add pkgconfig patch (bmo #261090)

* Fri Sep 24 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.1
- Add a BR for desktop-file-utils
- Update default configuration options to use the firefox mozconfig (#132916)
- Use Red Hat bookmarks (#133262)
- Update default homepage (#132721)
- Fix JS math on AMD64 (#133226)
- Build with MOZILLA_OFICIAL (#132917)

* Tue Sep 14 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.0
- Update to 1.0PR1
- Update man page references to say Firefox instead of Firebird
- Remove gcc34 and extensions patch; they are now upstream
- Update desktop database
- Minor tweaks to the .desktop file

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0:0.9.3-8
- Fixup .desktop entry Name, GenericName, and Comment (#131602)
- Add MimeType desktop entry (patch from jrb@redhat.com)
- Build with --disable-xprint

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0:0.9.3-7
- rawhide import
- fedora.us #1765 NetBSD's freetype 2.1.8 compat patch

* Sun Aug 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.6
- and mng support is disabled again as it seams that there is
  no real mng support in the code

* Sat Aug 28 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.5
- remove ldconfig from scriptlets (bug #1846 comment #40)
- reenabled mng support (bug #1971)
- removed --enable-strip to let rpm to the stripping (bug #1971)
- honor system settings in firefox.sh (bug #1971)
- setting umask 022 in scriptlets (bug #1962)

* Sat Aug 07 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.4
- copy the icon to the right place(TM)

* Fri Aug 06 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.3
- readded the xpm removed in 0:0.9.2-0.fdr.5

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.2
- added mozilla-1.7-psfonts.patch from rawhide mozilla

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.1
- updated to 0.9.3
- removed following from .mozconfig:
    ac_add_options --with-system-mng
    ac_add_options --enable-xprint
    ac_add_options --disable-dtd-debug
    ac_add_options --disable-freetype2
    ac_add_options --enable-strip-libs
    ac_add_options --enable-reorder
    ac_add_options --enable-mathml
    ac_add_options --without-system-nspr

* Tue Aug 03 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.5
- applied parts of the patch from Matthias Saou (bug #1846)
- delete empty directories in %%{ffdir}/chrome
- more cosmetic changes to the spec file

* Wed Jul 14 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.4
- mozilla-default-plugin-less-annoying.patch readded

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.3
- added krb5-devel as build requirement

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.2
- added patch from bugzilla.mozilla.org (bug #247846)
- removed Xvfb hack

* Fri Jul 09 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.1
- updated to 0.9.2

* Mon Jul 05 2004 Warren Togami <wtogami@redhat.com> 0:0.9.1-0.fdr.3
- mharris suggestion for backwards compatibilty with Xvfb hack

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.2
- added massive hack from the debian package to create the
  extension directory

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.1
- updated to 0.9.1

* Wed Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.4
- remove extensions patch
- add post hack to create extensions
- enable negotiateauth extension
- copy icon to browser/app/default.xpm
- --enable-official-branding

* Wed Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.3
- extensions patch

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.2
- added gnome-vfs2-devel as BuildRequires
- added gcc-3.4 patch 

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.1
- updated to 0.9
- dropped x86_64 patches
- dropped xremote patches

* Wed May 26 2004 Adrian Reber <adrian@lisas.de> 0:0.8-0.fdr.13
- remove unused files: mozilla-config

* Sun May 23 2004 David Hill <djh[at]ii.net> 0:0.8-0.fdr.12
- update mozconfig (fixes bug #1443)
- installation directory includes version number

* Mon May 10 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.11
- merge x86_64 release 10 with fedora.us release 10 bump release to 11

* Mon Apr 19 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.10
- rebuild for FC2
- change Source71 to properly replace Source7 for maintainability

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.10
- 3rd xremote patch
- test -Os rather than -O2

* Sun Apr 18 2004 Gene Czarcinski <gene@czarc.net>
- more x86_64 fixes
- fix firefix-xremote-client for x86_64 (similar to what is done for
  firefox.sh.in)

* Sat Apr 03 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.9
- xremote patch for thunderbird integration #1113
- back out ugly hack from /usr/bin/firefox
- correct default bookmarks

* Wed Feb 25 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.7
- readded the new firefox icons

* Sat Feb 21 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.6
- removed new firefox icons

* Wed Feb 18 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.5
- nothing

* Thu Feb 12 2004 Gene Czarcinski <czar@acm.org>
- update for x86_64 ... usr mozilla-1.6 patches
- change "firefox-i*" to "firefox-*" in above stuff

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.4
- another icon changed

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.3
- startup script modified

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.2
- new firefox icon
- more s/firebird/firefox/

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.1
- new version: 0.8
- new name: firefox

* Sun Oct 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.2
- s/0.6.1/0.7/
- changed user-app-dir back to .phoenix as .mozilla-firebird
  is not working as expected
- manpage now also available as MozillaFirebird.1

* Thu Oct 16 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.1
- updated to 0.7
- provides webclient
- run regxpcom and regchrome after installation and removal
- added a man page from the debian package
- changed user-app-dir from .phoenix to .mozilla-firebird

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.2
- now with mozilla-default-plugin-less-annoying.patch; see bug #586

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.1
- updated to 0.6.1
- changed buildrequires for XFree86-devel from 0:4.3.0 to 0:4.2.1 
  it should now also build on RH80

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.5.rh90
- enabled the type ahead extension: bug #484

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.4.rh90
- renamed it again back to MozillaFirbird
- added libmng-devel to BuildRequires
- startup homepage is now www.fedora.us
- improved the startup script to use the unix remote protocol 
  to open a new window

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.3.rh90
- new icon from http://iconpacks.mozdev.org/phoenix/iconshots/flame48true.png
- now using gtk2 as toolkit
- renamed again back to mozilla-firebird (I like it better)
- Provides: MozillaFirebird for compatibility with previous releases
- changed default bookmarks.html to contain links to www.fedora.us

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.2.rh90
- renamed package to MozillaFirebird and all files with the old name
- enabled mng, mathml, xinerama support
- now honouring RPM_OPT_FLAGS

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.1.rh90
- updated to 0.6

* Thu May 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.1.cvs20030501.rh90
- Updated to CVS.
- Renamed to mozilla-firebird.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030409.rh90
- Updated to CVS.
- Removed hard-coded library path.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030402.rh90
- Changed Prereq to Requires.
- Changed BuildRequires to gtk+-devel (instead of file).
- Recompressed source with bzip2.
- Removed post.

* Tue Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030402.rh90
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Updated to CVS.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030328.rh90
- Added Epoch:0.
- Added libgtk-1.2.so.0 to the BuildRequires

* Fri Mar 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030328.rh90
- Updated to latest CVS.
- Moved phoenix startup script into its own file

* Wed Mar 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030326.rh90
- Updated to latest CVS.
- Changed release to 9 vs 8.1.
- Added cvs script.
- added encoding to desktop file.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030323.rh81
- Updated to latest CVS.
- added release specification XFree86-devel Build Requirement.
- changed chmod to %attr

* Fri Mar 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030317.rh81
- Fixed naming scheme.
- Fixed .desktop file.

* Mon Mar 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030317.1
- Updated to CVS.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.2
- General Tweaking.

* Thu Mar 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.1
- Updated CVS.
- Modified mozconfig.

* Sun Mar 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030309.1
- Initial RPM release.
